Bug 828454 - Display continuously cycles: black approx 2.5 seconds, only visible a small fraction of a second.
Display continuously cycles: black approx 2.5 seconds, only visible a small f...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
16
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 14:34 EDT by Ron Flory
Modified: 2013-02-13 07:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:51:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ron Flory 2012-06-04 14:34:07 EDT
Description of problem: Sinch recent update of system (yum update) the display continuously cycles every 2.5 seconds and is only visible for a very small fraction of second, it is blank/black the rest of the time.


Version-Release number of selected component (if applicable):
 is up-to-date (yum update) as of 4 June 2012.
 lspci says my video card is "nVidia Corporation G94 [GeForce 9600 GT] (rev a1)"

How reproducible: 100% : Every time.  The flashing begin upon initial switch to graphics mode during boot.


Steps to Reproduce:
1.
2.
3.
  
Actual results: Display is black, only flashing with non-black content every 2.5 seconds or so.  I am able to login, open shells, etc, but it is very very hard to read because the display is visible for so short a time.  Luckily I am able to login via ssh/telnet so I at least have root access.


Expected results: Stable, visible graphical (or even text) display.


Additional info: 

Desktop system w/ 12GM ram, external LCD monitor.  
System was quite stable and usable until this happened a week or so ago.
During reboot the video is stable while in text mode, only going black and cycling upon switch to graphics mode.

Linux version 3.3.7-1.fc16.x86_64 (mockbuild@x86-11.phx2.fedoraproject.org) (gcc version 4.6.3 20120306 (Red Hat 4.6.3-2) (GCC) ) #1 SMP Tue May 22 13:59:39 UTC 2012

CPU: model name      : Intel(R) Core(TM)2 Quad CPU    Q9650  @ 3.00GHz

xorg-x11-server-Xorg-1.11.4-3.fc16.x86_64
xorg-x11-drv-r128-6.8.1-11.fc16.x86_64
xorg-x11-utils-7.5-3.fc16.x86_64
xorg-x11-drv-apm-1.2.3-8.fc16.x86_64
xorg-x11-drv-nouveau-0.0.16-27.20110720gitb806e3f.fc16.x86_64
xorg-x11-xtrans-devel-1.2.6-2.fc15.noarch
xorg-x11-drv-savage-2.3.3-1.fc16.x86_64
xorg-x11-drv-voodoo-1.2.4-7.fc16.x86_64
xorg-x11-server-common-1.11.4-3.fc16.x86_64
xorg-x11-server-Xephyr-1.11.4-3.fc16.x86_64
xorg-x11-drv-rendition-4.2.4-7.fc16.x86_64
xorg-x11-drv-mga-1.4.13-8.fc16.x86_64
xorg-x11-drv-penmount-1.5.0-3.fc16.x86_64
xorg-x11-drv-tdfx-1.4.3-9.fc16.x86_64
xorg-x11-fonts-Type1-7.5-4.fc15.noarch
xorg-x11-drv-mouse-1.7.1-2.fc16.x86_64
xorg-x11-drv-vesa-2.3.0-9.fc16.x86_64
xorg-x11-drv-mutouch-1.3.0-2.fc16.x86_64
xorg-x11-drv-i128-1.3.4-9.fc16.x86_64
xorg-x11-drv-fpit-1.4.0-2.fc16.x86_64
xorg-x11-xauth-1.0.6-1.fc16.x86_64
xorg-x11-drv-intel-2.17.0-8.fc16.x86_64
xorg-x11-fonts-ISO8859-1-75dpi-7.5-4.fc15.noarch
xorg-x11-drv-void-1.4.0-2.fc16.x86_64
xorg-x11-drv-evdev-2.6.99.901-7.20120118git9d9c9870c.fc16.x86_64
xorg-x11-drv-openchrome-0.2.904-16.fc16.x86_64
xorg-x11-drv-sisusb-0.9.4-7.fc16.x86_64
xorg-x11-drv-fbdev-0.4.2-2.fc16.x86_64
xorg-x11-drv-qxl-0.0.21-13.fc16.x86_64
xorg-x11-proto-devel-7.6-12.fc16.noarch
xorg-x11-drivers-7.4-2.fc15.x86_64
xorg-x11-drv-cirrus-1.3.2-10.fc16.x86_64
xorg-x11-drv-ast-0.91.10-7.fc16.x86_64
xorg-x11-drv-mach64-6.9.0-2.fc16.x86_64
xorg-x11-drv-hyperpen-1.4.1-2.fc16.x86_64
xorg-x11-drv-glint-1.2.5-2.fc16.x86_64
xorg-x11-font-utils-7.5-6.fc15.x86_64
xorg-x11-fonts-misc-7.5-4.fc15.noarch
xorg-x11-drv-keyboard-1.6.0-2.fc16.x86_64
xorg-x11-drv-vmmouse-12.7.0-2.fc16.x86_64
xorg-x11-drv-s3virge-1.10.4-9.fc16.x86_64
xorg-x11-drv-elographics-1.3.0-2.fc16.x86_64
xorg-x11-drv-ati-6.14.3-4.20120201git36c190671.fc16.x86_64
xorg-x11-drv-acecad-1.5.0-2.fc16.x86_64
xorg-x11-drv-aiptek-1.4.1-2.fc16.x86_64
xorg-x11-drv-vmware-11.0.3-6.fc16.x86_64
xorg-x11-fonts-ISO8859-1-100dpi-7.5-4.fc15.noarch
xorg-x11-drv-i740-1.3.2-9.fc16.x86_64
xorg-x11-drv-trident-1.3.4-7.fc16.x86_64
xorg-x11-drv-sis-0.10.3-7.fc16.x86_64
xorg-x11-xinit-1.3.1-1.fc16.x86_64
xorg-x11-server-utils-7.5-7.fc16.x86_64
xorg-x11-xkb-utils-7.5-5.fc16.x86_64
xorg-x11-drv-v4l-0.2.0-14.fc16.x86_64
xorg-x11-drv-wacom-0.12.0-1.fc16.x86_64
xorg-x11-drv-dummy-0.3.4-7.fc16.x86_64
xorg-x11-drv-nv-2.1.18-8.fc16.x86_64
xorg-x11-drv-siliconmotion-1.7.5-2.fc16.x86_64
xorg-x11-drv-synaptics-1.5.0-2.fc16.x86_64

lspci
00:00.0 Host bridge: Intel Corporation 4 Series Chipset DRAM Controller (rev 02)
00:01.0 PCI bridge: Intel Corporation 4 Series Chipset PCI Express Root Port (rev 02)
00:1a.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #4
00:1a.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #5
00:1a.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #6
00:1a.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #2
00:1b.0 Audio device: Intel Corporation 82801JI (ICH10 Family) HD Audio Controller
00:1c.0 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 1
00:1c.3 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 4
00:1c.4 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 5
00:1c.5 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 6
00:1d.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #1
00:1d.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #2
00:1d.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #3
00:1d.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #1
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 90)
00:1f.0 ISA bridge: Intel Corporation 82801JIR (ICH10R) LPC Interface Controller
00:1f.2 IDE interface: Intel Corporation 82801JI (ICH10 Family) 4 port SATA IDE Controller #1
00:1f.3 SMBus: Intel Corporation 82801JI (ICH10 Family) SMBus Controller
00:1f.5 IDE interface: Intel Corporation 82801JI (ICH10 Family) 2 port SATA IDE Controller #2
01:00.0 VGA compatible controller: nVidia Corporation G94 [GeForce 9600 GT] (rev a1)
03:00.0 IDE interface: JMicron Technology Corp. JMB368 IDE controller
04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
05:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
06:07.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)
Comment 1 Ron Flory 2012-06-14 16:07:34 EDT
Adding kernel boot option "nomodeset" (no quotes) seems to work around the problem.  Others seem to have reported similar problems with nvidia card/driver.

I wonder if this is an fbdev issue?
Comment 2 Ron Flory 2012-06-14 16:13:20 EDT
found similar report and workaround at:
 http://forums.fedoraforum.org/showthread.php?t=263630&highlight=display+black
Comment 3 Fedora End Of Life 2013-01-16 07:32:28 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 07:51:11 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.